-- This module collects the proofs of the soundness and completeness
-- theorems, which were proved separately in Soundness.agda and
-- Completeness.agda, into a single file for easy checking.

import Generator
import Soundness
import Completeness

module Proof where

  open Generator

  soundness : soundness-property
  soundness = Soundness.soundness

  completeness : completeness-property
  completeness = Completeness.completeness
